Get Registration Token By Id

Get Registration Token By Id
Get a sensor registration token

Get the token of specified id with manifest info.

Request
URI
GET
https://{api_host}/sensors/registration-tokens/{token-id}
COPY
Path Parameters
string
token-id
Required  

Used to identify a registration token.

token-id example
70c9daf7-1064-40a8-9bdf-edfcf48130a2

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorRegistrationTokenInfo of type(s) application/json
This response body class contains all of the following: Token , InlineSensorRegistrationTokenInfo1
{
    "_create_time": 1778668146283,
    "_create_user": "admin",
    "_last_modified_time": 1778668146283,
    "allowed_instance_count": 1,
    "description": "Token for ndr sensor",
    "display_name": "sensor",
    "expiration": 1778669943883,
    "id": "70c9daf7-1064-40a8-9bdf-edfcf48130a2",
    "number_available": 1,
    "passphrase": "",
    "registration_manifest": "xxxxx",
    "status": "AVAILABLE",
    "usage_count": 0
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/registration-tokens/{token-id}